Subject: Q: Exceltec Carts

From: Jon Guidry <[email-masked]>
Date: Sun, 28 Feb 2010 16:39:27 -0600

Does anyone have the names/production numbers for Exceltec carts?

I've personally seen/have the following:

Exceltec Extended Basic (used to have, I think it's in my dad's collection - same as TI XB)
Star Gazer 1 (have)
Arcturus (sidecar - have)
Killer Caterpillar (sidecar - have)

I'm assuming that Star Gazer II and III were also produced?

Does anyone (like Bill/Jim) have the background of this company, all of the TI modules they made, and how many were produced?  I'm kind of curious, because they seemed to have fizzled out so quickly.

Jon